<template>
  <div>
    <b-container>
      <b-row>
        <b-col cols="4">
          <b-form @submit="onSubmit" @reset="onReset" v-if="show">
            <b-form-group id="input-group-1" label="ФИО" label-for="input-1">
              <b-form-input id="input-1" v-model="form.FIO" required></b-form-input>
            </b-form-group>
            <b-form-group id="input-group-2" label="ИИН" label-for="input-2">
              <b-form-input maxlength="12" id="input-2" v-model="form.IIN" required></b-form-input>
            </b-form-group>
            <b-form-group id="input-group-3" label="Адрес" label-for="input-3">
              <b-form-input id="input-3" v-model="form.addres" required></b-form-input>
            </b-form-group>
            <b-form-group id="input-group-4" label="Должность" label-for="input-4">
              <b-form-input id="input-4" v-model="form.position" required></b-form-input>
            </b-form-group>
            <b-form-group id="input-group-5" label="Статус" label-for="input-5">
              <b-form-input id="input-5" v-model="form.stat" required></b-form-input>
            </b-form-group>
            <b-form-group id="input-group-6" label="Телефон" label-for="input-6">
              <b-form-input id="input-6" v-model="form.phone_num" required></b-form-input>
            </b-form-group>
            <b-button type="submit" variant="primary">Submit</b-button>
            <b-button type="reset" variant="danger">Reset</b-button>
          </b-form>
        </b-col>
        <b-col cols="4">
          <pre class="m-0" v-show="show">{{ form }}</pre>
        </b-col>
        <b-col cols="4">
          <b-button type="submit" variant="primary" @click="show =! show">Добавить</b-button>
        </b-col>
      </b-row>


      <b-form @submit="sbi" @reset="onReset">
        <b-form-group id="input-group-7" label="Select by id" label-for="input-7">
          <b-form-input id="input-7" v-model="sbi_form.id" required></b-form-input>
        </b-form-group>
        <b-button type="submit" variant="primary">Submit</b-button>
      </b-form>

      <div>
      <b-table hover :items="sbi_list" ></b-table>
    </div>
      <!-- <pre class="m-0">{{ sbi_form }}
          {{sbi_list}}
      </pre> -->
    </b-container>
  </div>
</template>

<script>
export default {
  name: "input",
  data() {
    return {
      form: {
        FIO: "",
        IIN: "",
        addres: "",
        position: "",
        stat: "",
        phone_num: ""
      },
      sbi_form: {
        id: ""
      },
      sbi_list: [],
      show: false
    };
  },
  methods: {
    onSubmit(evt) {
      evt.preventDefault();
      //   alert(JSON.stringify(this.form));
      this.axios.post("http://localhost:5000/insert", this.form);
    },
    sbi(evt) {
      evt.preventDefault();
      this.axios.post("http://localhost:5000/sbi", this.sbi_form)
        .then(response => (this.sbi_list = response.data));
    },
    onReset(evt) {
      evt.preventDefault();
      // Reset our form values
      this.form.email = "";
      this.form.name = "";
      this.form.food = null;
      this.form.checked = [];
      // Trick to reset/clear native browser form validation state
      this.show = false;
      this.$nextTick(() => {
        this.show = true;
      });
    }
  }
};
</script>